From d7cab09c8c6afe6c8da35932ba99579542764934 Mon Sep 17 00:00:00 2001
From: Gilles Dartiguelongue <eva@gentoo.org>
Date: Wed, 23 Mar 2011 23:31:07 +0100
Subject: [PATCH 1/2] gentoo: fix slotability

---
 docs/Makefile.am           |    4 ++--
 libdmapsharing.pc.in       |    2 +-
 libdmapsharing/Makefile.am |   16 ++++++++--------
 tests/Makefile.am          |    4 ++--
 4 files changed, 13 insertions(+), 13 deletions(-)

diff --git a/docs/Makefile.am b/docs/Makefile.am
index bd6f455..205aa5c 100644
--- a/docs/Makefile.am
+++ b/docs/Makefile.am
@@ -9,7 +9,7 @@ AUTOMAKE_OPTIONS = 1.6
 # of using the various options.
 
 # The name of the module, e.g. 'glib'.
-DOC_MODULE=libdmapsharing
+DOC_MODULE=libdmapsharing-@API_VERSION@
 
 # Uncomment for versioned docs and specify the version of the module, e.g. '2'.
 #DOC_MODULE_VERSION=2
@@ -95,7 +95,7 @@ GTKDOC_CFLAGS= \
 	$(MDNS_CFLAGS)
 
 GTKDOC_LIBS= \
-	$(top_builddir)/libdmapsharing/libdmapsharing.la \
+	$(top_builddir)/libdmapsharing/libdmapsharing-@API_VERSION@.la \
 	$(GLIB_LIBS) \
 	$(GTHREAD_LIBS) \
 	$(GOBJECT_LIBS) \
diff --git a/libdmapsharing.pc.in b/libdmapsharing.pc.in
index c95a5cf..c46f912 100644
--- a/libdmapsharing.pc.in
+++ b/libdmapsharing.pc.in
@@ -7,5 +7,5 @@ Name: libdmapsharing
 Description: libdmapsharing
 Version: @VERSION@
 Requires: glib-2.0 libsoup-2.4
-Libs: -L${libdir} -ldmapsharing
+Libs: -L${libdir} -ldmapsharing-@API_VERSION@
 Cflags: -I${includedir}/libdmapsharing-@API_VERSION@
diff --git a/libdmapsharing/Makefile.am b/libdmapsharing/Makefile.am
index 6a589d4..293b042 100644
--- a/libdmapsharing/Makefile.am
+++ b/libdmapsharing/Makefile.am
@@ -1,8 +1,8 @@
-lib_LTLIBRARIES = libdmapsharing.la
+lib_LTLIBRARIES = libdmapsharing-2.2.la
 
 BUILT_SOURCES = dmap-marshal.c dmap-marshal.h dmap-enums.c dmap-enums.h
 
-libdmapsharing_la_SOURCES = \
+libdmapsharing_2_2_la_SOURCES = \
 	$(BUILT_SOURCES) \
 	daap-record.c \
 	daap-share.c \
@@ -21,15 +21,15 @@ libdmapsharing_la_SOURCES = \
 	dpap-share.c
 
 if USE_HOWL
-libdmapsharing_la_SOURCES += \
+libdmapsharing_2_2_la_SOURCES += \
 	dmap-mdns-browser-howl.c
 else
 if USE_DNS_SD
-libdmapsharing_la_SOURCES += \
+libdmapsharing_2_2_la_SOURCES += \
 	dmap-mdns-browser-dnssd.c \
 	dmap-mdns-publisher-dnssd.c
 else
-libdmapsharing_la_SOURCES += \
+libdmapsharing_2_2_la_SOURCES += \
 	dmap-mdns-avahi.c \
 	dmap-mdns-browser-avahi.c \
 	dmap-mdns-publisher-avahi.c
@@ -37,14 +37,14 @@ endif
 endif
 
 if USE_GSTREAMERAPP
-libdmapsharing_la_SOURCES += \
+libdmapsharing_2_2_la_SOURCES += \
 	g-gst-input-stream.c \
 	g-gst-mp3-input-stream.c \
 	g-gst-wav-input-stream.c \
 	gst-util.c
 endif
 
-libdmapsharing_la_CFLAGS = \
+libdmapsharing_2_2_la_CFLAGS = \
 	-DG_LOG_DOMAIN=\"libdmapsharing\" \
 	-I$(top_srcdir) \
 	$(GDKPIXBUF_CFLAGS) \
@@ -52,7 +52,7 @@ libdmapsharing_la_CFLAGS = \
 	$(GSTREAMERAPP_CFLAGS) \
 	$(MDNS_CFLAGS)
 
-libdmapsharing_la_LDFLAGS = \
+libdmapsharing_2_2_la_LDFLAGS = \
 	-version-info @SO_VERSION@ \
 	$(GLIB_LIBS) \
 	$(GTHREAD_LIBS) \
diff --git a/tests/Makefile.am b/tests/Makefile.am
index acf0ee5..60e64c9 100644
--- a/tests/Makefile.am
+++ b/tests/Makefile.am
@@ -9,7 +9,7 @@ test_dmap_client_SOURCES = \
 	test-dmap-client.c
 
 test_dmap_client_LDADD = \
-	$(top_builddir)/libdmapsharing/libdmapsharing.la \
+	$(top_builddir)/libdmapsharing/libdmapsharing-2.2.la \
 	$(GLIB_LIBS) \
 	$(GTHREAD_LIBS) \
 	$(GOBJECT_LIBS) \
@@ -29,7 +29,7 @@ test_dmap_server_SOURCES = \
 	test-dpap-record-factory.c
 
 test_dmap_server_LDADD = \
-	$(top_builddir)/libdmapsharing/libdmapsharing.la \
+	$(top_builddir)/libdmapsharing/libdmapsharing-2.2.la \
 	$(GLIB_LIBS) \
 	$(GTHREAD_LIBS) \
 	$(GOBJECT_LIBS) \
-- 
1.7.4.1

